App Service Environments - Update

App Service Environment 만들기 또는 업데이트에 대한 설명입니다.

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/hostingEnvironments/{name}?api-version=2025-05-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
name
path True

string

App Service Environment의 이름입니다.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

리소스 그룹의 이름입니다. 이름은 대소문자를 구분하지 않습니다.

subscriptionId
path True

string (uuid)

대상 구독의 ID입니다. 값은 UUID여야 합니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

요청 본문

Name 필수 형식 Description
properties.virtualNetwork True

VirtualNetworkProfile

Virtual Network에 대한 설명입니다.

kind

string

리소스 종류입니다.

properties.clusterSettings

NameValuePair[]

App Service Environment의 동작을 변경하기 위한 사용자 지정 설정입니다.

properties.customDnsSuffixConfiguration

CustomDnsSuffixConfiguration

ASEv3에 대한 사용자 지정 도메인 접미사 구성의 전체 보기입니다.

properties.dedicatedHostCount

integer (int32)

전용 호스트 수

properties.dnsSuffix

string

App Service Environment의 DNS 접미사입니다.

properties.frontEndScaleFactor

integer (int32)

프런트 엔드의 배율 인수입니다.

properties.internalLoadBalancingMode

LoadBalancingMode

App Service Environment에 대한 Virtual Network에서 내부적으로 제공할 엔드포인트를 지정합니다.

properties.ipsslAddressCount

integer (int32)

App Service Environment에 예약된 IP SSL 주소 수입니다.

properties.multiSize

string

프런트 엔드 VM 크기(예: "보통", "Large")

properties.networkingConfiguration

AseV3NetworkingConfiguration

ASE에 대한 네트워킹 구성의 전체 보기입니다.

properties.upgradePreference

UpgradePreference

업그레이드 기본 설정

properties.userWhitelistedIpRanges

string[]

사용자가 ASE db에서 허용 목록에 IP 범위를 추가했습니다.

properties.zoneRedundant

boolean

이 App Service Environment가 영역 중복인지 여부입니다.

응답

Name 형식 Description
200 OK

AppServiceEnvironmentResource

Azure 작업이 성공적으로 완료되었습니다.

201 Created

AppServiceEnvironmentResource

리소스 'AppServiceEnvironmentResource' 생성 작업이 성공했습니다

202 Accepted

AppServiceEnvironmentResource

처리를 위해 요청이 수락되었지만 처리가 아직 완료되지 않았습니다.

Other Status Codes

DefaultErrorResponse

예기치 않은 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 흐름.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

Create or update an App Service Environment.

샘플 요청

PATCH https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-rg/providers/Microsoft.Web/hostingEnvironments/test-ase?api-version=2025-05-01

{
  "properties": {
    "frontEndScaleFactor": 20,
    "virtualNetwork": {
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-rg/providers/Microsoft.Network/virtualNetworks/test-subnet/subnets/delegated"
    }
  }
}

샘플 응답

{
  "name": "test-ase",
  "type": "Microsoft.Web/hostingEnvironments",
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-rg/providers/Microsoft.Web/hostingEnvironments/test-ase",
  "kind": "ASEV3",
  "location": "South Central US",
  "properties": {
    "clusterSettings": null,
    "dedicatedHostCount": 0,
    "dnsSuffix": "test-ase.p.azurewebsites.net",
    "frontEndScaleFactor": 15,
    "hasLinuxWorkers": true,
    "internalLoadBalancingMode": "None",
    "ipsslAddressCount": 0,
    "maximumNumberOfMachines": 250,
    "multiRoleCount": null,
    "multiSize": "Standard_D2d_v4",
    "networkingConfiguration": {
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-rg/providers/Microsoft.Web/hostingEnvironments/test-ase/configurations/networking",
      "properties": {
        "allowNewPrivateEndpointConnections": false,
        "externalInboundIpAddresses": [
          "52.153.248.36"
        ],
        "ftpEnabled": false,
        "inboundIpAddressOverride": null,
        "internalInboundIpAddresses": [],
        "linuxOutboundIpAddresses": [
          "20.88.241.56",
          "20.88.241.9"
        ],
        "remoteDebugEnabled": false,
        "windowsOutboundIpAddresses": [
          "20.88.241.56",
          "20.88.241.9"
        ]
      }
    },
    "provisioningState": "Succeeded",
    "status": "Ready",
    "suspended": false,
    "userWhitelistedIpRanges": null,
    "virtualNetwork": {
      "name": "delegated",
      "type": "Microsoft.Network/virtualNetworks/subnets",
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-rg/providers/Microsoft.Network/virtualNetworks/test-subnet/subnets/delegated",
      "subnet": ""
    },
    "zoneRedundant": false
  },
  "tags": {}
}
{
  "name": "test-ase",
  "type": "Microsoft.Web/hostingEnvironments",
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-rg/providers/Microsoft.Web/hostingEnvironments/test-ase",
  "kind": "ASEV3",
  "location": "South Central US",
  "properties": {
    "clusterSettings": null,
    "dedicatedHostCount": 0,
    "dnsSuffix": "test-ase.p.azurewebsites.net",
    "frontEndScaleFactor": 15,
    "hasLinuxWorkers": true,
    "internalLoadBalancingMode": "None",
    "ipsslAddressCount": 0,
    "maximumNumberOfMachines": 250,
    "multiRoleCount": null,
    "multiSize": "Standard_D2d_v4",
    "networkingConfiguration": {
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-rg/providers/Microsoft.Web/hostingEnvironments/test-ase/configurations/networking",
      "properties": {
        "allowNewPrivateEndpointConnections": false,
        "externalInboundIpAddresses": [
          "52.153.248.36"
        ],
        "ftpEnabled": false,
        "inboundIpAddressOverride": null,
        "internalInboundIpAddresses": [],
        "linuxOutboundIpAddresses": [
          "20.88.241.56",
          "20.88.241.9"
        ],
        "remoteDebugEnabled": false,
        "windowsOutboundIpAddresses": [
          "20.88.241.56",
          "20.88.241.9"
        ]
      }
    },
    "provisioningState": "Succeeded",
    "status": "Ready",
    "suspended": false,
    "userWhitelistedIpRanges": null,
    "virtualNetwork": {
      "name": "delegated",
      "type": "Microsoft.Network/virtualNetworks/subnets",
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-rg/providers/Microsoft.Network/virtualNetworks/test-subnet/subnets/delegated",
      "subnet": ""
    },
    "zoneRedundant": false
  },
  "tags": {}
}
{
  "name": "test-ase",
  "type": "Microsoft.Web/hostingEnvironments",
  "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-rg/providers/Microsoft.Web/hostingEnvironments/test-ase",
  "kind": "ASEV3",
  "location": "South Central US",
  "properties": {
    "clusterSettings": null,
    "dedicatedHostCount": 0,
    "dnsSuffix": "test-ase.p.azurewebsites.net",
    "frontEndScaleFactor": 15,
    "hasLinuxWorkers": true,
    "internalLoadBalancingMode": "None",
    "ipsslAddressCount": 0,
    "maximumNumberOfMachines": 250,
    "multiRoleCount": null,
    "multiSize": "Standard_D2d_v4",
    "networkingConfiguration": {
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-rg/providers/Microsoft.Web/hostingEnvironments/test-ase/configurations/networking",
      "properties": {
        "allowNewPrivateEndpointConnections": false,
        "externalInboundIpAddresses": [
          "52.153.248.36"
        ],
        "ftpEnabled": false,
        "inboundIpAddressOverride": null,
        "internalInboundIpAddresses": [],
        "linuxOutboundIpAddresses": [
          "20.88.241.56",
          "20.88.241.9"
        ],
        "remoteDebugEnabled": false,
        "windowsOutboundIpAddresses": [
          "20.88.241.56",
          "20.88.241.9"
        ]
      }
    },
    "provisioningState": "Succeeded",
    "status": "Ready",
    "suspended": false,
    "userWhitelistedIpRanges": null,
    "virtualNetwork": {
      "name": "delegated",
      "type": "Microsoft.Network/virtualNetworks/subnets",
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/test-rg/providers/Microsoft.Network/virtualNetworks/test-subnet/subnets/delegated",
      "subnet": ""
    },
    "zoneRedundant": false
  },
  "tags": {}
}

정의

Name Description
AppServiceEnvironmentPatchResource

App Service Environment에 대한 ARM 리소스입니다.

AppServiceEnvironmentResource

App Service Environment ARM 리소스입니다.

AseV3NetworkingConfiguration

ASE에 대한 네트워킹 구성의 전체 보기입니다.

createdByType

리소스를 만든 ID의 형식입니다.

CustomDnsSuffixConfiguration

ASEv3에 대한 사용자 지정 도메인 접미사 구성의 전체 보기입니다.

CustomDnsSuffixProvisioningState
DefaultErrorResponse

App Service 오류 응답입니다.

DefaultErrorResponseError

오류 모델입니다.

DefaultErrorResponseErrorDetailsItem

자세한 오류입니다.

HostingEnvironmentStatus

App Service Environment의 현재 상태입니다.

LoadBalancingMode

App Service Environment에 대한 Virtual Network에서 내부적으로 제공할 엔드포인트를 지정합니다.

NameValuePair

이름 값 쌍입니다.

ProvisioningState

App Service 계획의 프로비전 상태입니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

UpgradeAvailability

이 App Service Environment에 대해 업그레이드를 사용할 수 있는지 여부입니다.

UpgradePreference

업그레이드 기본 설정

VirtualNetworkProfile

Virtual Network 사용을 위한 사양입니다.

AppServiceEnvironmentPatchResource

App Service Environment에 대한 ARM 리소스입니다.

Name 형식 Default value Description
id

string

리소스 ID입니다.

kind

string

리소스 종류입니다.

name

string

리소스 이름.

properties.clusterSettings

NameValuePair[]

App Service Environment의 동작을 변경하기 위한 사용자 지정 설정입니다.

properties.customDnsSuffixConfiguration

CustomDnsSuffixConfiguration

ASEv3에 대한 사용자 지정 도메인 접미사 구성의 전체 보기입니다.

properties.dedicatedHostCount

integer (int32)

전용 호스트 수

properties.dnsSuffix

string

App Service Environment의 DNS 접미사입니다.

properties.frontEndScaleFactor

integer (int32)

프런트 엔드의 배율 인수입니다.

properties.hasLinuxWorkers

boolean

ASE에 Linux 작업자가 있는지 여부를 표시하는 플래그

properties.internalLoadBalancingMode

LoadBalancingMode

App Service Environment에 대한 Virtual Network에서 내부적으로 제공할 엔드포인트를 지정합니다.

properties.ipsslAddressCount

integer (int32)

App Service Environment에 예약된 IP SSL 주소 수입니다.

properties.maximumNumberOfMachines

integer (int32)

App Service Environment의 최대 VM 수입니다.

properties.multiRoleCount

integer (int32)

프런트 엔드 인스턴스 수입니다.

properties.multiSize

string

프런트 엔드 VM 크기(예: "보통", "Large")

properties.networkingConfiguration

AseV3NetworkingConfiguration

ASE에 대한 네트워킹 구성의 전체 보기입니다.

properties.provisioningState

ProvisioningState

App Service Environment의 프로비전 상태입니다.

properties.status

HostingEnvironmentStatus

App Service Environment의 현재 상태입니다.

properties.suspended

boolean

trueApp Service Environment가 일시 중단된 경우; 그렇지 않으면 . false 예를 들어 관리 엔드포인트를 더 이상 사용할 수 없는 경우(NSG가 들어오는 트래픽을 차단했기 때문일 가능성이 높음) 환경을 일시 중단할 수 있습니다.

properties.upgradeAvailability

UpgradeAvailability

이 App Service Environment에 대해 업그레이드를 사용할 수 있는지 여부입니다.

properties.upgradePreference

UpgradePreference

None

업그레이드 기본 설정

properties.userWhitelistedIpRanges

string[]

사용자가 ASE db에서 허용 목록에 IP 범위를 추가했습니다.

properties.virtualNetwork

VirtualNetworkProfile

Virtual Network에 대한 설명입니다.

properties.zoneRedundant

boolean

이 App Service Environment가 영역 중복인지 여부입니다.

type

string

리소스 종류입니다.

AppServiceEnvironmentResource

App Service Environment ARM 리소스입니다.

Name 형식 Default value Description
id

string (arm-id)

리소스에 대한 정규화된 리소스 ID입니다. 예: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

리소스 종류입니다. 리소스가 앱인 경우 https://github.com/Azure/app-service-linux-docs/blob/master/Things_You_Should_Know/kind_property.md#app-service-resource-kind-reference 참조하여 종류에 대해 지원되는 세부 정보를 확인할 수 있습니다.

location

string

리소스가 있는 지리적 위치

name

string

리소스의 이름

properties.clusterSettings

NameValuePair[]

App Service Environment의 동작을 변경하기 위한 사용자 지정 설정입니다.

properties.customDnsSuffixConfiguration

CustomDnsSuffixConfiguration

ASEv3에 대한 사용자 지정 도메인 접미사 구성의 전체 보기입니다.

properties.dedicatedHostCount

integer (int32)

전용 호스트 수

properties.dnsSuffix

string

App Service Environment의 DNS 접미사입니다.

properties.frontEndScaleFactor

integer (int32)

프런트 엔드의 배율 인수입니다.

properties.hasLinuxWorkers

boolean

ASE에 Linux 작업자가 있는지 여부를 표시하는 플래그

properties.internalLoadBalancingMode

LoadBalancingMode

App Service Environment에 대한 Virtual Network에서 내부적으로 제공할 엔드포인트를 지정합니다.

properties.ipsslAddressCount

integer (int32)

App Service Environment에 예약된 IP SSL 주소 수입니다.

properties.maximumNumberOfMachines

integer (int32)

App Service Environment의 최대 VM 수입니다.

properties.multiRoleCount

integer (int32)

프런트 엔드 인스턴스 수입니다.

properties.multiSize

string

프런트 엔드 VM 크기(예: "보통", "Large")

properties.networkingConfiguration

AseV3NetworkingConfiguration

ASE에 대한 네트워킹 구성의 전체 보기입니다.

properties.provisioningState

ProvisioningState

App Service Environment의 프로비전 상태입니다.

properties.status

HostingEnvironmentStatus

App Service Environment의 현재 상태입니다.

properties.suspended

boolean

trueApp Service Environment가 일시 중단된 경우; 그렇지 않으면 . false 예를 들어 관리 엔드포인트를 더 이상 사용할 수 없는 경우(NSG가 들어오는 트래픽을 차단했기 때문일 가능성이 높음) 환경을 일시 중단할 수 있습니다.

properties.upgradeAvailability

UpgradeAvailability

이 App Service Environment에 대해 업그레이드를 사용할 수 있는지 여부입니다.

properties.upgradePreference

UpgradePreference

None

업그레이드 기본 설정

properties.userWhitelistedIpRanges

string[]

사용자가 ASE db에서 허용 목록에 IP 범위를 추가했습니다.

properties.virtualNetwork

VirtualNetworkProfile

Virtual Network에 대한 설명입니다.

properties.zoneRedundant

boolean

이 App Service Environment가 영역 중복인지 여부입니다.

systemData

systemData

createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다.

tags

object

리소스 태그.

type

string

리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts"

AseV3NetworkingConfiguration

ASE에 대한 네트워킹 구성의 전체 보기입니다.

Name 형식 Description
id

string (arm-id)

리소스에 대한 정규화된 리소스 ID입니다. 예: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

리소스 종류입니다.

name

string

리소스의 이름

properties.allowNewPrivateEndpointConnections

boolean

ASE에서 새 프라이빗 엔드포인트 연결 만들기를 사용하도록 설정하고 사용하지 않도록 설정하는 속성

properties.externalInboundIpAddresses

string[]

properties.ftpEnabled

boolean

ASEV3에서 FTP를 사용하도록 설정하고 사용하지 않도록 설정하는 속성

properties.inboundIpAddressOverride

string

고객이 제공한 인바운드 IP 주소입니다. Ase 만들기에서만 설정할 수 있습니다.

properties.internalInboundIpAddresses

string[]

properties.linuxOutboundIpAddresses

string[]

properties.remoteDebugEnabled

boolean

ASEV3에서 원격 디버그를 사용하도록 설정하고 사용하지 않도록 설정하는 속성

properties.windowsOutboundIpAddresses

string[]

systemData

systemData

createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다.

type

string

리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts"

createdByType

리소스를 만든 ID의 형식입니다.

Description
User
Application
ManagedIdentity
Key

CustomDnsSuffixConfiguration

ASEv3에 대한 사용자 지정 도메인 접미사 구성의 전체 보기입니다.

Name 형식 Description
id

string (arm-id)

리소스에 대한 정규화된 리소스 ID입니다. 예: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

리소스 종류입니다.

name

string

리소스의 이름

properties.certificateUrl

string

사용자 지정 도메인 접미사가 있는 사이트의 기본 SSL/TLS 인증서로 사용해야 하는 Azure Key Vault 인증서 비밀을 참조하는 URL입니다.

properties.dnsSuffix

string

ASE에 배포된 모든 사이트에 사용할 기본 사용자 지정 도메인 접미사입니다.

properties.keyVaultReferenceIdentity

string

키 자격 증명 모음 인증서 참조를 확인하는 데 사용할 사용자 할당 ID입니다. 지정하지 않으면 사용 가능한 경우 시스템 할당 ASE ID가 사용됩니다.

properties.provisioningDetails

string

properties.provisioningState

CustomDnsSuffixProvisioningState

systemData

systemData

createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다.

type

string

리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts"

CustomDnsSuffixProvisioningState

Description
Succeeded
Failed
Degraded
InProgress

DefaultErrorResponse

App Service 오류 응답입니다.

Name 형식 Description
error

DefaultErrorResponseError

오류 모델입니다.

DefaultErrorResponseError

오류 모델입니다.

Name 형식 Description
code

string

프로그래밍 방식으로 오류를 식별하기 위한 표준화된 문자열입니다.

details

DefaultErrorResponseErrorDetailsItem[]

자세한 오류입니다.

innererror

string

디버그 오류에 대한 자세한 정보입니다.

message

string

자세한 오류 설명 및 디버깅 정보.

target

string

자세한 오류 설명 및 디버깅 정보.

DefaultErrorResponseErrorDetailsItem

자세한 오류입니다.

Name 형식 Description
code

string

프로그래밍 방식으로 오류를 식별하기 위한 표준화된 문자열입니다.

message

string

자세한 오류 설명 및 디버깅 정보.

target

string

자세한 오류 설명 및 디버깅 정보.

HostingEnvironmentStatus

App Service Environment의 현재 상태입니다.

Description
Preparing
Ready
Scaling
Deleting

LoadBalancingMode

App Service Environment에 대한 Virtual Network에서 내부적으로 제공할 엔드포인트를 지정합니다.

Description
None
Web
Publishing
Web, Publishing

NameValuePair

이름 값 쌍입니다.

Name 형식 Description
name

string

쌍 이름입니다.

value

string

쌍 값입니다.

ProvisioningState

App Service 계획의 프로비전 상태입니다.

Description
Succeeded
Failed
Canceled
InProgress
Deleting

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 만들기의 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID의 형식입니다.

lastModifiedAt

string (date-time)

리소스 마지막 수정의 타임스탬프(UTC)

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

createdByType

리소스를 마지막으로 수정한 ID의 형식입니다.

UpgradeAvailability

이 App Service Environment에 대해 업그레이드를 사용할 수 있는지 여부입니다.

Description
None

현재 이 App Service Environment에 사용할 수 있는 업그레이드는 없습니다

Ready

이 App Service Environment에서 업그레이드를 수동으로 시작할 준비가 되었습니다.

UpgradePreference

업그레이드 기본 설정

Description
None

이 App Service Environment가 업그레이드되는 시기에 대한 기본 설정 없음

Early

이 App Service Environment는 업그레이드 기본 설정 '늦음'이 있는 동일한 지역의 다른 지역보다 먼저 업그레이드됩니다.

Late

이 App Service Environment는 업그레이드 기본 설정 '조기'가 있는 동일한 지역의 다른 지역 이후에 업그레이드됩니다

Manual

ASEv3만 해당됩니다. 업그레이드를 사용할 수 있게 되면 이 App Service Environment는 업그레이드가 수동으로 시작될 때까지 10일 동안 기다립니다. 10일 후에 업그레이드가 자동으로 시작됩니다.

VirtualNetworkProfile

Virtual Network 사용을 위한 사양입니다.

Name 형식 Description
id

string

Virtual Network의 리소스 ID입니다.

name

string

가상 네트워크의 이름(읽기 전용)입니다.

subnet

string

Virtual Network 내의 서브넷입니다.

type

string

Virtual Network의 리소스 종류(읽기 전용)입니다.